Exception during pm.DoInstall()

Bug #429849 reported by Paul Sladen on 2009-09-15
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
flashplugin-nonfree (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: update-manager

9.04->9.10 alpha 5 upgrade with update-manager.

Exception during pm.DoInstall(): E:Sub-process /usr/bin/dpkg returned an error code(1), E:Sub-process /usr/bin/dpkg returned an error code(1)

Michael Vogt (mvo) wrote :

Thanks for your bugreport.

Please attach the logs in /var/log/dist-upgrade

Changed in update-manager (Ubuntu):
status: New → Incomplete

Architecture: i386
DistroRelease: Ubuntu 9.10
Package: update-manager 1:0.125.1
PackageArchitecture: all
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-10.32-generic
Uname: Linux 2.6.31-10-generic i686
UserGroups: adm admin audio cdrom dialout dip floppy fuse lpadmin netdev plugdev powerdev scanner video

Changed in update-manager (Ubuntu):
status: Incomplete → New
tags: added: apport-collected
Paul Sladen (sladen) wrote :
Paul Sladen (sladen) wrote :

nb.
  Package: update-manager-code
  /usr/lib/python2.6/dist-packages/DistUpgrade/DistUpgradeView.py
  InstallProgress.run()

Paul Sladen (sladen) wrote :
Paul Sladen (sladen) wrote :
Paul Sladen (sladen) wrote :
Michael Vogt (mvo) wrote :

Here is the error:

Unpacking replacement flashblock ...
Preparing to replace flashplugin-nonfree 10.0.22.87ubuntu1 (using .../flashplugi
update-alternatives: warning: alternative /usr/lib/flashplugin-nonfree/libflashp
update-alternatives: warning: /etc/alternatives/iceape-flashplugin is dangling,
update-alternatives: warning: alternative /usr/lib/flashplugin-nonfree/libflashp
update-alternatives: warning: /etc/alternatives/iceweasel-flashplugin is danglin
update-alternatives: warning: alternative /usr/lib/flashplugin-nonfree/libflashp
update-alternatives: warning: /etc/alternatives/mozilla-flashplugin is dangling,
update-alternatives: warning: alternative /usr/lib/flashplugin-nonfree/libflashp
update-alternatives: warning: /etc/alternatives/firefox-flashplugin is dangling,
update-alternatives: warning: alternative /usr/lib/flashplugin-nonfree/libflashp
update-alternatives: warning: /etc/alternatives/xulrunner-flashplugin is danglin
update-alternatives: warning: alternative /usr/lib/flashplugin-nonfree/libflashp
update-alternatives: warning: /etc/alternatives/midbrowser-flashplugin is dangli
update-alternatives: warning: alternative /usr/lib/flashplugin-nonfree/libflashp
update-alternatives: warning: /etc/alternatives/xulrunner-addons-flashplugin is
update-alternatives: error: no alternatives for iceape-flashplugin.
update-alternatives: error: no alternatives for iceape-flashplugin.
dpkg: warning: old pre-removal script returned error exit status 2
dpkg - trying script from the new package instead ...
dpkg: error processing /var/cache/apt/archives/flashplugin-nonfree_10.0.32.18ubu
 there is no script in the new version of the package - giving up
/usr/share/themes/Human/gtk-2.0/gtkrc:82: Murrine configuration option "highligh
/usr/share/themes/Human/gtk-2.0/gtkrc:83: Murrine configuration option "lightbor
/usr/share/themes/Human/gtk-2.0/gtkrc:194: Murrine configuration option "highlig
postinst called with argument `abort-upgrade'
dpkg: error while cleaning up:
 subprocess installed post-installation script returned error exit status 1

affects: update-manager (Ubuntu) → flashplugin-nonfree (Ubuntu)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers